﻿namespace TestProject;

/// <summary>
/// 그래픽스 그리기 가능형
/// </summary>
public class GraphicsDrawable : IDrawable
{
    //////////////////////////////////////////////////////////////////////////////////////////////////// Method
    ////////////////////////////////////////////////////////////////////////////////////////// Public

    #region 그리기 - Draw(canvas, dirtyRectangle)

    /// <summary>
    /// 그리기
    /// </summary>
    /// <param name="canvas">캔버스</param>
    /// <param name="dirtyRectangle">더티 사각형</param>
    public void Draw(ICanvas canvas, RectF dirtyRectangle)
    {
        canvas.StrokeSize        = 4;
        canvas.StrokeDashPattern = new float[] { 2, 2 };
        canvas.StrokeColor       = Colors.Red;
        canvas.FontSize          = 18;
        canvas.FontColor         = Colors.Blue;

        canvas.DrawRoundedRectangle(50, 50, 80, 20, 5);

        canvas.DrawString(".NET MAUI", 50, 50, 80, 20, HorizontalAlignment.Left, VerticalAlignment.Top);

        canvas.Scale(2, 2);

        canvas.DrawRoundedRectangle(50, 100, 80, 20, 5);

        canvas.DrawString(".NET MAUI", 50, 100, 80, 20, HorizontalAlignment.Left, VerticalAlignment.Top);
    }

    #endregion
}